Bug 251851 - LiveCD installer "System clock uses UTC" covered by button
LiveCD installer "System clock uses UTC" covered by button
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-12 09:58 EDT by Eric Kerby
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Fedora 8 Test 2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-13 20:48:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of the time zone selection window in the installer (161.14 KB, image/png)
2007-08-12 09:58 EDT, Eric Kerby
no flags Details
Screenshot of Parallels window with bug shown (608.81 KB, image/png)
2007-08-13 12:21 EDT, Eric Kerby
no flags Details

  None (edit)
Description Eric Kerby 2007-08-12 09:58:49 EDT
Description of problem:
On the time zone screen of the Fedora 8 Test 1 LiveCD installer, the UTC
checkbox is covered by the Release Notes button.  Attempting to click the Next
button toggles the checkbox instead of advancing to the next screen.  You have
to tab to make the next button active and press the spacebar to actually proceed.

Version-Release number of selected component (if applicable):
Fedora 8 Test 1

How reproducible:

Steps to Reproduce:
1. Boot from Fedora 8 Test 1 LiveCD
2. Start the Fedora 8 installer
3. Proceed to the time zone screen and see this issue
Actual results:
The window does not leave enough space for the UTC checkbox, and thus it is
covered by the bottom row of buttons.

Expected results:
The UTC checkbox should be above the Release Notes button, not under it.

Additional info:
This was tested by booting the LiveCD in a Parallels Desktop virtual machine.
Comment 1 Eric Kerby 2007-08-12 09:58:50 EDT
Created attachment 161138 [details]
Screenshot of the time zone selection window in the installer
Comment 2 Jeremy Katz 2007-08-13 11:40:18 EDT
What resolution was the desktop running in?
Comment 3 Eric Kerby 2007-08-13 12:20:13 EDT
The Fedora 8 Test 1 Live CD boots to a resolution of 1024x640 in Parallels. 
Parallels does not let the user choose a specific maximum resolution to use, so
whatever ends up being used was auto-detected by the running OS.  Parallels
supports resolutions up to the size of your display, though...so I'm not sure
why the LiveCD is at such a small resolution when I'm running this on a
1920x1200 monitor.  Either way, there is still plenty more space for the
installer to make its window bigger, as you will see in a full screenshot that I
am about to attach.

The other problem that is noticed on the screen is that the bottom panel is not
visible because the screen extends below where Parallels is displaying (but no
scrollbars appear).  This is very strange, and not something I have seen in any
other OS in Parallels, Linux or otherwise.  I guess this is an improvement
though, since the Fedora 7 Live CD's gnome desktop fails to even start at all.

When I look at my screenshot preferences, it lists resolutions up to 1024x672,
although 1024x640 is selected.  If I select 1024x672, the screen size does not
change, which seems to say it was already using 1024x672.  If I then select
1024x640, the Parallels window does not change, but Fedora desktop does.  It
reduces its vertical size to fit properly within the window and show the bottom
panel that used to fall below the displayed area.  Though this problem is
probably related, I do not want to go into too much more detail about these
resolution issues.  That would be appropriate for a separate bug report against
a component other than the installer.
Comment 4 Eric Kerby 2007-08-13 12:21:35 EDT
Created attachment 161186 [details]
Screenshot of Parallels window with bug shown

Here's the full window screenshot I promised.
Comment 5 Jeremy Katz 2007-08-22 10:45:36 EDT
I've been unable to get ahold of a copy of parallels to try to reproduce, but I
think I've managed to fix this.  Can you try again when test2 is released and
either close it as fixed or reopen the bug?
Comment 6 Eric Kerby 2007-08-23 23:49:27 EDT
I should certainly be able to give test2 a try when it comes out.  Good to hear
it might be fixed :)
Comment 7 Eric Kerby 2007-09-13 20:48:52 EDT
I just booted the Fedora 8 Test 2 CD in Parallels, and I can confirm the issue
is resolved.

I am marking this bug resolved.

Note You need to log in before you can comment on or make changes to this bug.